%% Read Logs
clc
clear all

for i=1:2
    file=sprintf('bjp%i.txt',i);
    eval(sprintf('bjp%d=readdata(file);',i));
end
%% Inter Arrivals
input1_arrival=bjp1(bjp1(:,6)==2,2)
mycdfplot(diff(input1_arrival),11);
hold all
input2_arrival=bjp1(bjp1(:,6)==3,2)
mycdfplot(diff(input2_arrival),11);
xlabel('Packet Inter Arrival Times (ns)','FontSize',14)
ylabel('Fraction of Packets','FontSize',14)
legend('hop\_1','hop\_14','Location','NorthWest')
%% Delay
t=calcdelay(bjp1,bjp2,3,0,2,1,390);
t=t-min(t);
mycdfplot(t,11)
xlabel('Packet Delays From Source to Destination (ns)','FontSize',14)
ylabel('Fraction of Packets','FontSize',14)
legend('hop\_14','Location','NorthEast')
